Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.engines
Class AEADBaseEngine.StreamAADOperator

    java.lang.Object
      org.bouncycastle.crypto.engines.AEADBaseEngine.StreamAADOperator

All Implemented Interfaces:
  AEADBaseEngine.AADOperator

Enclosing class:
  org.bouncycastle.crypto.engines.AEADBaseEngine

protected static class AEADBaseEngine.StreamAADOperator
extends java.lang.Object
implements AEADBaseEngine.AADOperator

Constructor Summary
`protected` | `AEADBaseEngine.StreamAADOperator()`

Method Summary
`byte[]` | `getBytes()`
`int` | `getLen()`
`void` | `processAADByte(byte input)`
`void` | `processAADBytes(byte[] input, int inOff, int len)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AEADBaseEngine.StreamAADOperator

    protected AEADBaseEngine.StreamAADOperator()

Method Detail

### processAADByte

    public void processAADByte(byte input)

  Specified by:
    `processAADByte` in interface `AEADBaseEngine.AADOperator`

### processAADBytes

    public void processAADBytes(byte[] input,
                                int inOff,
                                int len)

  Specified by:
    `processAADBytes` in interface `AEADBaseEngine.AADOperator`

### getBytes

    public byte[] getBytes()

### reset

    public void reset()

  Specified by:
    `reset` in interface `AEADBaseEngine.AADOperator`

### getLen

    public int getLen()

  Specified by:
    `getLen` in interface `AEADBaseEngine.AADOperator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD